#include <stddef.h>

#include "utf16_ct_map.h"

extern const csc_utf16_ct_map_t csc_iso8859_l_utf16_map;
extern const csc_utf16_ct_map_t csc_jisx0201_l_utf16_map;
extern const csc_utf16_ct_map_t csc_jisx0201_r_utf16_map;
extern const csc_utf16_ct_map_t csc_iso8859_1_r_utf16_map;
extern const csc_utf16_ct_map_t csc_iso8859_2_r_utf16_map;
extern const csc_utf16_ct_map_t csc_iso8859_3_r_utf16_map;
extern const csc_utf16_ct_map_t csc_iso8859_4_r_utf16_map;
extern const csc_utf16_ct_map_t csc_iso8859_5_r_utf16_map;
extern const csc_utf16_ct_map_t csc_iso8859_7_r_utf16_map;
extern const csc_utf16_ct_map_t csc_iso8859_8_r_utf16_map;
extern const csc_utf16_ct_map_t csc_iso8859_9_r_utf16_map;
extern const csc_utf16_ct_map_t csc_iso8859_15_r_utf16_map;
extern const csc_utf16_ct_map_t csc_tis620_2533_utf16_map;
extern const csc_utf16_ct_map_t csc_gb2312_l_utf16_map;
extern const csc_utf16_ct_map_t csc_gb2312_r_utf16_map;
extern const csc_utf16_ct_map_t csc_jisx0208_l_utf16_map;
extern const csc_utf16_ct_map_t csc_jisx0208_r_utf16_map;
extern const csc_utf16_ct_map_t csc_ksc5601_l_utf16_map;
extern const csc_utf16_ct_map_t csc_ksc5601_r_utf16_map;
extern const csc_utf16_ct_map_t csc_jisx0212_l_utf16_map;
extern const csc_utf16_ct_map_t csc_jisx0212_r_utf16_map;
extern const csc_utf16_ct_map_t csc_ksc5601_1992_3_utf16_map;
extern const csc_utf16_ct_map_t csc_sunudcja_1997_0_utf16_map;
extern const csc_utf16_ct_map_t csc_big5_utf16_map;
extern const csc_utf16_ct_map_t csc_unicode_fs_utf16_map;
extern const csc_utf16_ct_map_t csc_iso8859_6_r_utf16_map;
extern const csc_utf16_ct_map_t csc_cns11643_1_r_utf16_map;
extern const csc_utf16_ct_map_t csc_cns11643_2_r_utf16_map;
extern const csc_utf16_ct_map_t csc_cns11643_14_r_utf16_map;

const csc_utf16_ct_map_t * csc_national_utf16_map[] = {
	&csc_iso8859_l_utf16_map,
	&csc_jisx0201_l_utf16_map,
	&csc_jisx0201_r_utf16_map,
	&csc_iso8859_1_r_utf16_map,
	&csc_iso8859_2_r_utf16_map,
	&csc_iso8859_3_r_utf16_map,
	&csc_iso8859_4_r_utf16_map,
	&csc_iso8859_5_r_utf16_map,
	&csc_iso8859_7_r_utf16_map,
	&csc_iso8859_8_r_utf16_map,
	&csc_iso8859_9_r_utf16_map,
	&csc_iso8859_15_r_utf16_map,
	&csc_tis620_2533_utf16_map,
	&csc_gb2312_l_utf16_map,
	&csc_gb2312_r_utf16_map,
	&csc_jisx0208_l_utf16_map,
	&csc_jisx0208_r_utf16_map,
	&csc_ksc5601_l_utf16_map,
	&csc_ksc5601_r_utf16_map,
	&csc_jisx0212_l_utf16_map,
	&csc_jisx0212_r_utf16_map,
	&csc_ksc5601_1992_3_utf16_map,
	&csc_sunudcja_1997_0_utf16_map,
	&csc_big5_utf16_map,
	&csc_unicode_fs_utf16_map,
	&csc_iso8859_6_r_utf16_map,
	&csc_cns11643_1_r_utf16_map,
	&csc_cns11643_2_r_utf16_map,
	&csc_cns11643_14_r_utf16_map,
	NULL
};
